Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Parámetros de la ruta de acceso
id
string
requerido
Unique identifier for the evaluation rule.
Respuestas
The request has succeeded.
Cuerpo
id
string
requerido
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
requerido
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
requerido
evalId
string
requerido
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
requerido
templateId
string
requerido
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
requerido
Filter by agent name.
eventType
string | enum
requerido
Type of the evaluation rule event.
enum
enabled
boolean
requerido
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
requerido
System metadata for the evaluation rule.
Solicitar
GET /evaluationrules/{id} HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json